com.dlsc.flexgantt.policy.eventline

## Class DefaultEventlineSelectionPolicy

- java.lang.Object
- - com.dlsc.flexgantt.policy.AbstractPolicy
  - - com.dlsc.flexgantt.policy.eventline.DefaultEventlineSelectionPolicy

- All Implemented Interfaces:
    IEventlineSelectionPolicy, IPolicy

      public class DefaultEventlineSelectionPolicy
      extends AbstractPolicy
      implements IEventlineSelectionPolicy

  A policy used for determining whether an object displayed in the `Eventline` can be selected by the user or not.
  Since:
    1.1
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventlineSelectionPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSelectable(Object eventlineObject, IEventlineModel model)` Determines whether the given eventline object is user selectable or not.

    - ### Methods inherited from class com.dlsc.flexgantt.policy.AbstractPolicy

      `assertClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEventlineSelectionPolicy

          public DefaultEventlineSelectionPolicy()

  - ### Method Detail

    - #### isSelectable

          public boolean isSelectable(Object eventlineObject,
                                      IEventlineModel model)

      Description copied from interface: `IEventlineSelectionPolicy`
      Determines whether the given eventline object is user selectable or not.
      Specified by:
        `isSelectable` in interface `IEventlineSelectionPolicy`
      Parameters:
        `eventlineObject` - the eventline object to check
        `model` - the eventline model to which the object belongs
      Returns:
        TRUE if the object can be selected by the user

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.